gstreamermm: Gst::PlayBin2 Class Reference

# Gst::PlayBin2 Class Reference
[gstreamermm Plugins]

Gst::PlayBin2 - playbin2 plugin. More...

`#include <playbin2.h>`

Inheritance diagram for Gst::PlayBin2:

List of all members.

## Public Member Functions
virtual | ~PlayBin2 ()
GstPlayBin2* | gobj ()
| Provides access to the underlying C GObject.
const GstPlayBin2* | gobj () const
| Provides access to the underlying C GObject.
GstPlayBin2* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy <Glib::ustring> | property_uri ()
| URI of the media to play.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | property_uri () const
| URI of the media to play.
Glib::PropertyProxy <Glib::ustring> | property_suburi ()
| Optional URI of a subtitle.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | property_suburi () const
| Optional URI of a subtitle.
Glib::PropertyProxy_ReadOnly <Glib::RefPtr<Gst::Element>> | property_source () const
| Source element.
Glib::PropertyProxy<PlayFlags> | property_flags ()
| Flags to control behaviour.
Glib::PropertyProxy_ReadOnly <PlayFlags> | property_flags () const
| Flags to control behaviour.
Glib::PropertyProxy_ReadOnly<int> | property_n_video () const
| Total number of video streams.
Glib::PropertyProxy<int> | property_current_video ()
| Currently playing video stream (-1 = auto).
Glib::PropertyProxy_ReadOnly<int> | property_current_video () const
| Currently playing video stream (-1 = auto).
Glib::PropertyProxy_ReadOnly<int> | property_n_audio () const
| Total number of audio streams.
Glib::PropertyProxy<int> | property_current_audio ()
| Currently playing audio stream (-1 = auto).
Glib::PropertyProxy_ReadOnly<int> | property_current_audio () const
| Currently playing audio stream (-1 = auto).
Glib::PropertyProxy_ReadOnly<int> | property_n_text () const
| Total number of text streams.
Glib::PropertyProxy<int> | property_current_text ()
| Currently playing text stream (-1 = auto).
Glib::PropertyProxy_ReadOnly<int> | property_current_text () const
| Currently playing text stream (-1 = auto).
Glib::PropertyProxy <Glib::ustring> | property_subtitle_encoding ()
| Encoding to assume if input subtitles are not in UTF-8 encoding.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | property_subtitle_encoding () const
| Encoding to assume if input subtitles are not in UTF-8 encoding.
Glib::PropertyProxy <Glib::RefPtr<Gst::Element>> | property_audio_sink ()
| the audio output element to use (NULL = default sink).
Glib::PropertyProxy_ReadOnly <Glib::RefPtr<Gst::Element>> | property_audio_sink () const
| the audio output element to use (NULL = default sink).
Glib::PropertyProxy <Glib::RefPtr<Gst::Element>> | property_video_sink ()
| the video output element to use (NULL = default sink).
Glib::PropertyProxy_ReadOnly <Glib::RefPtr<Gst::Element>> | property_video_sink () const
| the video output element to use (NULL = default sink).
Glib::PropertyProxy <Glib::RefPtr<Gst::Element>> | property_vis_plugin ()
| the visualization element to use (NULL = default).
Glib::PropertyProxy_ReadOnly <Glib::RefPtr<Gst::Element>> | property_vis_plugin () const
| the visualization element to use (NULL = default).
Glib::PropertyProxy<double> | property_volume ()
| The audio volume.
Glib::PropertyProxy_ReadOnly <double> | property_volume () const
| The audio volume.
Glib::PropertyProxy<bool> | property_mute ()
| Mute the audio channel without changing the volume.
Glib::PropertyProxy_ReadOnly <bool> | property_mute () const
| Mute the audio channel without changing the volume.
Glib::PropertyProxy_ReadOnly <Glib::RefPtr<Gst::Buffer>> | property_frame () const
| The last frame (NULL = no video available).
Glib::PropertyProxy_WriteOnly <Glib::ustring> | property_subtitle_font_desc ()
| Pango font description of font to be used for subtitle rendering.
Glib::PropertyProxy<guint> | property_connection_speed ()
| Network connection speed in kbps (0 = unknown).
Glib::PropertyProxy_ReadOnly <guint> | property_connection_speed () const
| Network connection speed in kbps (0 = unknown).
Glib::PropertyProxy<int> | property_buffer_size ()
| Buffer size when buffering network streams.
Glib::PropertyProxy_ReadOnly<int> | property_buffer_size () const
| Buffer size when buffering network streams.
Glib::PropertyProxy<gint64> | property_buffer_duration ()
| Buffer duration when buffering network streams.
Glib::PropertyProxy_ReadOnly <gint64> | property_buffer_duration () const
| Buffer duration when buffering network streams.
Glib::SignalProxy0<void> | signal_about_to_finish ()
Glib::SignalProxy0<void> | signal_video_changed ()
Glib::SignalProxy0<void> | signal_audio_changed ()
Glib::SignalProxy0<void> | signal_text_changed ()
Glib::SignalProxy1 <Gst::TagList, int> | signal_get_video_tags ()
Glib::SignalProxy1 <Gst::TagList, int> | signal_get_audio_tags ()
Glib::SignalProxy1 <Gst::TagList, int> | signal_get_text_tags ()
Glib::SignalProxy1 < Glib::RefPtr<Gst::Buffer> , const Glib::RefPtr <Gst::Caps >&> | signal_convert_frame ()
Glib::SignalProxy1 < Glib::RefPtr<Gst::Pad> , int > | signal_get_video_pad ()
Glib::SignalProxy1 < Glib::RefPtr<Gst::Pad> , int > | signal_get_audio_pad ()
Glib::SignalProxy1 < Glib::RefPtr<Gst::Pad> , int > | signal_get_text_pad ()
## Static Public Member Functions
static Glib::RefPtr<PlayBin2> | create ()
| Creates a new playbin2 plugin with a unique name.
static Glib::RefPtr<PlayBin2> | create (const Glib::ustring& name)
| Creates a new playbin2 plugin with the given name.
## Protected Member Functions
| PlayBin2 ()
| PlayBin2 (const Glib::ustring& name)
virtual void | on_about_to_finish ()
virtual void | on_video_changed ()
virtual void | on_audio_changed ()
virtual void | on_text_changed ()
virtual Gst::TagList | on_get_video_tags (int arg0)
virtual Gst::TagList | on_get_audio_tags (int arg0)
virtual Gst::TagList | on_get_text_tags (int arg0)
virtual Glib::RefPtr<Gst::Buffer> | on_convert_frame (const Glib::RefPtr<Gst::Caps>& arg0)
virtual Glib::RefPtr<Gst::Pad> | on_get_video_pad (int arg0)
virtual Glib::RefPtr<Gst::Pad> | on_get_audio_pad (int arg0)
virtual Glib::RefPtr<Gst::Pad> | on_get_text_pad (int arg0)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::PlayBin2> | wrap (GstPlayBin2* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::PlayBin2 - playbin2 plugin.

Please include <gstreamermm/playbin2.h> to use. Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems and the ones that aren't available are not included in the build.

## Constructor& Destructor Documentation

virtual Gst::PlayBin2::~PlayBin2 | ( |  | ) | `[virtual]`

Gst::PlayBin2::PlayBin2 | ( |  | ) | `[protected]`

Gst::PlayBin2::PlayBin2 | ( | const Glib::ustring & | name | ) | `[protected]`

## Member Function Documentation

GstPlayBin2* Gst::PlayBin2::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Pipeline.

const GstPlayBin2* Gst::PlayBin2::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Pipeline.

GstPlayBin2* Gst::PlayBin2::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Pipeline.

static Glib::RefPtr<PlayBin2> Gst::PlayBin2::create | ( |  | ) | `[static]`

Creates a new playbin2 plugin with a unique name.

Reimplemented from Gst::Pipeline.

static Glib::RefPtr<PlayBin2> Gst::PlayBin2::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new playbin2 plugin with the given name.

Reimplemented from Gst::Pipeline.

Glib::PropertyProxy<Glib::ustring> Gst::PlayBin2::property_uri | ( |  | ) |

URI of the media to play.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::PlayBin2::property_uri | ( |  | ) | const

URI of the media to play.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gst::PlayBin2::property_suburi | ( |  | ) |

Optional URI of a subtitle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::PlayBin2::property_suburi | ( |  | ) | const

Optional URI of a subtitle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Gst::Element>> Gst::PlayBin2::property_source | ( |  | ) | const

Source element.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<PlayFlags> Gst::PlayBin2::property_flags | ( |  | ) |

Flags to control behaviour.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<PlayFlags> Gst::PlayBin2::property_flags | ( |  | ) | const

Flags to control behaviour.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::PlayBin2::property_n_video | ( |  | ) | const

Total number of video streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::PlayBin2::property_current_video | ( |  | ) |

Currently playing video stream (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::PlayBin2::property_current_video | ( |  | ) | const

Currently playing video stream (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::PlayBin2::property_n_audio | ( |  | ) | const

Total number of audio streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::PlayBin2::property_current_audio | ( |  | ) |

Currently playing audio stream (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::PlayBin2::property_current_audio | ( |  | ) | const

Currently playing audio stream (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::PlayBin2::property_n_text | ( |  | ) | const

Total number of text streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::PlayBin2::property_current_text | ( |  | ) |

Currently playing text stream (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::PlayBin2::property_current_text | ( |  | ) | const

Currently playing text stream (-1 = auto).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gst::PlayBin2::property_subtitle_encoding | ( |  | ) |

Encoding to assume if input subtitles are not in UTF-8 encoding.

If not set

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::PlayBin2::property_subtitle_encoding | ( |  | ) | const

Encoding to assume if input subtitles are not in UTF-8 encoding.

If not set

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::RefPtr<Gst::Element>> Gst::PlayBin2::property_audio_sink | ( |  | ) |

the audio output element to use (NULL = default sink).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Gst::Element>> Gst::PlayBin2::property_audio_sink | ( |  | ) | const

the audio output element to use (NULL = default sink).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::RefPtr<Gst::Element>> Gst::PlayBin2::property_video_sink | ( |  | ) |

the video output element to use (NULL = default sink).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Gst::Element>> Gst::PlayBin2::property_video_sink | ( |  | ) | const

the video output element to use (NULL = default sink).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::RefPtr<Gst::Element>> Gst::PlayBin2::property_vis_plugin | ( |  | ) |

the visualization element to use (NULL = default).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Gst::Element>> Gst::PlayBin2::property_vis_plugin | ( |  | ) | const

the visualization element to use (NULL = default).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Gst::PlayBin2::property_volume | ( |  | ) |

The audio volume.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Gst::PlayBin2::property_volume | ( |  | ) | const

The audio volume.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::PlayBin2::property_mute | ( |  | ) |

Mute the audio channel without changing the volume.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::PlayBin2::property_mute | ( |  | ) | const

Mute the audio channel without changing the volume.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Gst::Buffer>> Gst::PlayBin2::property_frame | ( |  | ) | const

The last frame (NULL = no video available).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Gst::PlayBin2::property_subtitle_font_desc | ( |  | ) |

Pango font description of font to be used for subtitle rendering.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gst::PlayBin2::property_connection_speed | ( |  | ) |

Network connection speed in kbps (0 = unknown).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gst::PlayBin2::property_connection_speed | ( |  | ) | const

Network connection speed in kbps (0 = unknown).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::PlayBin2::property_buffer_size | ( |  | ) |

Buffer size when buffering network streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::PlayBin2::property_buffer_size | ( |  | ) | const

Buffer size when buffering network streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<gint64> Gst::PlayBin2::property_buffer_duration | ( |  | ) |

Buffer duration when buffering network streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<gint64> Gst::PlayBin2::property_buffer_duration | ( |  | ) | const

Buffer duration when buffering network streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy0< void > Gst::PlayBin2::signal_about_to_finish | ( |  | ) |

Prototype:
  `void on_my_about_to_finish()`

Glib::SignalProxy0< void > Gst::PlayBin2::signal_video_changed | ( |  | ) |

Prototype:
  `void on_my_video_changed()`

Glib::SignalProxy0< void > Gst::PlayBin2::signal_audio_changed | ( |  | ) |

Prototype:
  `void on_my_audio_changed()`

Glib::SignalProxy0< void > Gst::PlayBin2::signal_text_changed | ( |  | ) |

Prototype:
  `void on_my_text_changed()`

Glib::SignalProxy1<Gst::TagList,int> Gst::PlayBin2::signal_get_video_tags | ( |  | ) |

Prototype:
  `Gst::TagList on_my_get_video_tags(int arg0)`

Glib::SignalProxy1<Gst::TagList,int> Gst::PlayBin2::signal_get_audio_tags | ( |  | ) |

Prototype:
  `Gst::TagList on_my_get_audio_tags(int arg0)`

Glib::SignalProxy1<Gst::TagList,int> Gst::PlayBin2::signal_get_text_tags | ( |  | ) |

Prototype:
  `Gst::TagList on_my_get_text_tags(int arg0)`

Glib::SignalProxy1<Glib::RefPtr<Gst::Buffer>,const Glib::RefPtr<Gst::Caps>&> Gst::PlayBin2::signal_convert_frame | ( |  | ) |

Prototype:
  `Glib::RefPtr<Gst::Buffer> on_my_convert_frame(const Glib::RefPtr<Gst::Caps>& arg0)`

Glib::SignalProxy1<Glib::RefPtr<Gst::Pad>,int> Gst::PlayBin2::signal_get_video_pad | ( |  | ) |

Prototype:
  `Glib::RefPtr<Gst::Pad> on_my_get_video_pad(int arg0)`

Glib::SignalProxy1<Glib::RefPtr<Gst::Pad>,int> Gst::PlayBin2::signal_get_audio_pad | ( |  | ) |

Prototype:
  `Glib::RefPtr<Gst::Pad> on_my_get_audio_pad(int arg0)`

Glib::SignalProxy1<Glib::RefPtr<Gst::Pad>,int> Gst::PlayBin2::signal_get_text_pad | ( |  | ) |

Prototype:
  `Glib::RefPtr<Gst::Pad> on_my_get_text_pad(int arg0)`

virtual void Gst::PlayBin2::on_about_to_finish | ( |  | ) | `[protected, virtual]`

virtual void Gst::PlayBin2::on_video_changed | ( |  | ) | `[protected, virtual]`

virtual void Gst::PlayBin2::on_audio_changed | ( |  | ) | `[protected, virtual]`

virtual void Gst::PlayBin2::on_text_changed | ( |  | ) | `[protected, virtual]`

virtual Gst::TagList Gst::PlayBin2::on_get_video_tags | ( | int | arg0 | ) | `[protected, virtual]`

virtual Gst::TagList Gst::PlayBin2::on_get_audio_tags | ( | int | arg0 | ) | `[protected, virtual]`

virtual Gst::TagList Gst::PlayBin2::on_get_text_tags | ( | int | arg0 | ) | `[protected, virtual]`

virtual Glib::RefPtr<Gst::Buffer> Gst::PlayBin2::on_convert_frame | ( | const Glib::RefPtr<Gst::Caps>& | arg0 | ) | `[protected, virtual]`

virtual Glib::RefPtr<Gst::Pad> Gst::PlayBin2::on_get_video_pad | ( | int | arg0 | ) | `[protected, virtual]`

virtual Glib::RefPtr<Gst::Pad> Gst::PlayBin2::on_get_audio_pad | ( | int | arg0 | ) | `[protected, virtual]`

virtual Glib::RefPtr<Gst::Pad> Gst::PlayBin2::on_get_text_pad | ( | int | arg0 | ) | `[protected, virtual]`

## Friends And Related Function Documentation

Glib::RefPtr<Gst::PlayBin2> wrap | ( | GstPlayBin2 * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- playbin2.h